"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const relatives_tree_1 = require("relatives-tree");
const connector_1 = require("./connector");
const ReactFamilyTree = (props) => {
    const data = relatives_tree_1.default(props.nodes, props.rootId);
    const width = props.width / 2;
    const height = props.height / 2;
    return (React.createElement("div", { className: props.canvasClassName, style: {
            position: 'relative',
            width: data.canvas.width * width,
            height: data.canvas.height * height,
        } },
        data.connectors.map((connector, idx) => (React.createElement(connector_1.default, { key: idx, connector: connector, width: width, height: height }))),
        data.nodes.map(props.renderNode)));
};
exports.default = ReactFamilyTree;
